Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceDumb.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceDumb.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceDumb.java	(revision 43126)
@@ -26,6 +26,7 @@
 import java.io.File;
 import java.net.URL;
 import java.util.List;
+import java.util.Properties;
 
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.execution.InstallPackageService;
@@ -35,60 +36,89 @@
 
 public class InstallPackageServiceDumb implements InstallPackageService {
 
+        @Override
 	public Manager getManager() {
 		return null;
 	}
 
+        @Override
 	public void reset() {
 	}
 
-	public void addBundle(File bundleFile)
+        @Override
+	public void addBundle(File bundleFile, SimpleTaskStatus taskStatus)
 			throws InstallPackageServiceException {
 	}
 
-	public void addBundle(URL bundleURL) throws InstallPackageServiceException {
+        @Override
+	public void addBundle(URL bundleURL, SimpleTaskStatus taskStatus) throws InstallPackageServiceException {
 	}
 
-	public void addBundlesFromDirectory(File bundlesDirectory)
+        @Override
+	public void addBundlesFromDirectory(File bundlesDirectory, SimpleTaskStatus taskStatus)
 			throws InstallPackageServiceException {
 	}
 
+        @Override
 	public void installPackage(File applicationDirectory,
 			PackageInfo packageInfo) throws InstallPackageServiceException {
 	}
 
+        @Override
 	public void installPackage(File applicationDirectory, String packageCode)
 			throws InstallPackageServiceException {
 	}
 
+        @Override
 	public int getPackageCount() {
 		return 0;
 	}
 
+        @Override
 	public PackageInfo getPackageInfo(int index) {
 		return null;
 	}
 
+        @Override
 	public PackageInfo getPackageInfo(String packageCode) {
 		return null;
 	}
 
+        @Override
 	public void downloadPackage(PackageInfo packageInfo,
 			SimpleTaskStatus taskStatus) throws InstallPackageServiceException {
 	}
 
+        @Override
 	public List<String> getDefaultSelectedPackagesIDs() {
 		return null;
 	}
 
+        @Override
 	public List<String> getCategories() {
 		// TODO Auto-generated method stub
 		return null;
 	}
 
+        @Override
 	public List<String> getTypes() {
 		// TODO Auto-generated method stub
 		return null;
 	}
 
+    @Override
+    public Properties getProperties() {
+        return new Properties();
+    }
+
+    @Override
+    public boolean needInstallPackageProviders() {
+        return false;
+    }
+
+    @Override
+    public void installPackageProviders(SimpleTaskStatus taskStatus) {
+    }
+
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceTest.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceTest.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/execution/InstallPackageServiceTest.java	(revision 43126)
@@ -60,7 +60,7 @@
 
 		InstallPackageService installPackageService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
-		installPackageService.addBundlesFromDirectory(installersDirectory);
+		installPackageService.addBundlesFromDirectory(installersDirectory, null);
 
 		Assert.assertEquals(3, installPackageService.getPackageCount());
 
@@ -90,7 +90,7 @@
 
 		InstallPackageService installerExecutionService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
-		installerExecutionService.addBundlesFromDirectory(installersDirectory);
+		installerExecutionService.addBundlesFromDirectory(installersDirectory, null);
 
 		PackageInfo packageInfo = installerExecutionService
 				.getPackageInfo("org.gvsig.plugin1");
@@ -117,7 +117,7 @@
 
 		InstallPackageService installerExecutionService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
-		installerExecutionService.addBundle(externalInstallationFile);
+		installerExecutionService.addBundle(externalInstallationFile, null);
 
 		PackageInfo packageInfo = installerExecutionService
 				.getPackageInfo("org.gvsig.plugin1");
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/creation/MakePluginPackageServiceTest.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/creation/MakePluginPackageServiceTest.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/test/java/org/gvsig/installer/lib/impl/creation/MakePluginPackageServiceTest.java	(revision 43126)
@@ -106,7 +106,7 @@
 		InstallPackageService installPackageService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
 
-		installPackageService.addBundle(installerFile);
+		installPackageService.addBundle(installerFile, null);
 		assertEquals(1, installPackageService.getPackageCount());
 		PackageInfo newInstallerInfo = makePluginPackageService
 				.getPluginPackageInfo(0);
@@ -133,7 +133,7 @@
 		// decompress the plugin and read the plugin information
 		InstallPackageService installPackageService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
-		installPackageService.addBundle(installerFile);
+		installPackageService.addBundle(installerFile, null);
 		assertEquals(1, installPackageService.getPackageCount());
 		PackageInfo newInstallerInfo = makePluginPackageService
 				.getPluginPackageInfo(0);
@@ -162,7 +162,7 @@
 		// decompress the plugin and read the plugin information
 		InstallPackageService installPackageService = InstallerLocator
 				.getInstallerManager().getInstallPackageService();
-		installPackageService.addBundle(installerFile);
+		installPackageService.addBundle(installerFile, null);
 		assertEquals(1, installPackageService.getPackageCount());
 		PackageInfo newInstallerInfo = makePluginPackageService
 				.getPluginPackageInfo(0);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/InstallWizardPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/InstallWizardPanel.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/InstallWizardPanel.java	(revision 43126)
@@ -0,0 +1,56 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
+ *
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.installer.swing.api.execution;
+
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
+
+public interface InstallWizardPanel
+        extends
+        InstallerWizardPanel {
+
+    public void setSkipSelectBundleWizardPage(boolean skip);
+    
+    public boolean getSkipSelectBundleWizardPage();
+    
+    /**
+     * Set if the TypicalOrAdvanced wizard page can be show.
+     *
+     * @param skip True skip the TypicalOrAdvanced wizard.
+     */
+    public void setSkipTypicalOrAdvancedWizardPage(boolean skip);
+
+    /**
+     * To know if the TypicalOrAdvanced wizard page show.
+     *
+     * @return True skip the TypicalOrAdvanced wizard.
+     */
+    public boolean getSkipTypicalOrAdvancedWizardPage();
+
+    public PackageFilter getPackageFilter();
+
+    public void setPackageFilter(PackageFilter filter);
+    
+    public void setSelectDefaultPackages(boolean isActivated);
+
+    public boolean getSelectDefaultPackages();    
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/PackageFilter.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/PackageFilter.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/execution/PackageFilter.java	(revision 43126)
@@ -0,0 +1,36 @@
+/**
+ * gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright (C) 2007-2013 gvSIG Association.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 3
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.installer.swing.api.execution;
+
+import org.gvsig.installer.lib.api.PackageInfo;
+
+/**
+ * @author gvSIG Team
+ * @version $Id$
+ * 
+ */
+public interface PackageFilter {
+
+	public boolean match(PackageInfo pkg);
+}

Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/creation/MakePluginPackageWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/creation/MakePluginPackageWizard.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/creation/MakePluginPackageWizard.java	(revision 43126)
@@ -21,47 +21,12 @@
  * For any additional information, do not hesitate to contact us
  * at info AT gvsig.com, or visit our website www.gvsig.com.
  */
-/*
- * AUTHORS (In addition to CIT):
- * 2010 {Prodevelop}   {Task}
- */
 
 package org.gvsig.installer.swing.api.creation;
 
-import java.io.File;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
 
-import org.gvsig.installer.lib.api.PackageInfo;
-import org.gvsig.installer.swing.api.wizard.AbstractInstallerWizard;
 
-/**
- * <p>
- * Wizard that is used to create a bundle with a package of type plugin from a
- * gvSIG directory. This class receive a gvSIG root directory and allows to the
- * user to select the plugin that is used to create the bundle.
- * </p>
- * <p>
- * The user can also set some plugin properties, like the version of the
- * installer, the build number... The definition of all these properties can be
- * found in {@link PackageInfo}.
- * </p>
- * <p>
- * All the classes that inherit if this abstract class have to have a
- * constructor with an argument of type {@link File}, that is the application
- * directory.
- * </p>
- * 
- * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
- */
-public abstract class MakePluginPackageWizard extends AbstractInstallerWizard {
+public interface MakePluginPackageWizard extends InstallerWizardPanel {
 
-	private static final long serialVersionUID = 6387360455696226183L;
-
-	/**
-	 * Constructor
-	 * 
-	 * @see AbstractInstallerWizard#AbstractInstallerWizard(File, File)
-	 */
-	public MakePluginPackageWizard(File applicationFolder, File installFolder) {
-		super(applicationFolder, installFolder);
-	}
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/SwingInstallerManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/SwingInstallerManager.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.api/src/main/java/org/gvsig/installer/swing/api/SwingInstallerManager.java	(revision 43126)
@@ -3,29 +3,27 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 /*
  * AUTHORS (In addition to CIT):
  * 2010 {Prodevelop}   {Task}
  */
-
 package org.gvsig.installer.swing.api;
 
 import java.io.File;
@@ -34,6 +32,7 @@
 import java.util.List;
 
 import javax.swing.JPanel;
+import org.gvsig.installer.lib.api.Dependencies;
 
 import org.gvsig.installer.lib.api.InstallerManager;
 import org.gvsig.installer.lib.api.PackageInfo;
@@ -41,181 +40,187 @@
 import org.gvsig.installer.swing.api.creation.JPackageInfoPanel;
 import org.gvsig.installer.swing.api.creation.MakePluginPackageWizard;
 import org.gvsig.installer.swing.api.creation.MakePluginPackageWizardException;
-import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
 import org.gvsig.installer.swing.api.execution.InstallPackageWizardException;
+import org.gvsig.installer.swing.api.execution.InstallWizardPanel;
 import org.gvsig.installer.swing.api.execution.JShowPackageStatusAndAskContinuePanel;
 import org.gvsig.installer.swing.api.execution.JShowPackagesAndAskContinuePanel;
+import org.gvsig.installer.swing.api.execution.JShowRequiredPackagesAndAskContinuePanel;
+import org.gvsig.installer.swing.api.execution.JShowUnresolvedDependenciesAndAskContinuePanel;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.swing.api.packagebuilder.PackageBuildder;
+import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
+
 /**
- * 
+ *
  * <p>
  * This manager is used to register and create the wizards that are used to
  * create and execute an installer. These wizards are classes that inherit of
  * {@link JPanel}.
  * </p>
- * 
+ *
  * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
  */
 public interface SwingInstallerManager {
 
+    public interface UrlAndLabel {
 
-	public interface UrlAndLabel {
-		/**
-		 * Return the url.
-		 * 
-		 * @return the url
-		 */
-		public URL getURL();
-		
-		/**
-		 * Return the url associated to the url or null
-		 * if the url don't have a label.
-		 *  
-		 * @return the label or null
-		 */
-		public String getLabel();
-		
-		/**
-		 * Return a string with the label and the url like:
-		 *   "label - http://..."
-		 *   
-		 * @return the label and url
-		 */
-		public String toString(); // Return "label - url"
-	}
-	
-	/**
-	 * Registers a class that implements a wizard to create an installer of a
-	 * plugin from a gvSIG installation directory.
-	 * 
-	 * @param clazz
-	 *            Class that inherits of the {@link MakePluginPackageWizard}
-	 *            abstract class.
-	 */
-	public void registerMakePluginPackageWizardInstallerCreationWizard(
-			Class<? extends MakePluginPackageWizard> clazz);
+        /**
+         * Return the url.
+         *
+         * @return the url
+         */
+        public URL getURL();
 
-	/**
-	 * This method returns a class that is used to create an installer from a
-	 * gvSIG installation directory.
-	 * 
-	 * @return The wizard to create an installer.
-	 * @throws MakePluginPackageWizardException
-	 *             If there is a problem creating the wizard.
-	 */
-	public MakePluginPackageWizard createMakePluginPackageWizard(
-			File applicationDirectory, File installFolder)
-			throws MakePluginPackageWizardException;
+        /**
+         * Return the url associated to the url or null if the url don't have a
+         * label.
+         *
+         * @return the label or null
+         */
+        public String getLabel();
 
-	/**
-	 * Registers a class that implements a wizard to execte an installer to
-	 * install a set of plugins in a gvSIG installation directory.
-	 * 
-	 * @param clazz
-	 *            Class that inherits of the
-	 *            {@link AbstractInstallPackageWizard} abstract class.
-	 */
-	public void registerInstallPackageWizard(
-			Class<? extends AbstractInstallPackageWizard> clazz);
+        /**
+         * Return a string with the label and the url like: "label - http://..."
+         *
+         * @return the label and url
+         */
+        public String toString(); // Return "label - url"
+    }
 
-	/**
-	 * This method returns a class that is used to execute an installer to
-	 * install a set of plugins in a gvSIG installation directory.
-	 * 
-	 * @return The wizard to execute an installer.
-	 * @throws InstallPackageWizardException
-	 *             If there is a problem creating the wizard.
-	 */
-	public AbstractInstallPackageWizard createInstallPackageWizard(
-			File applicationDirectory, File installFolder)
-			throws InstallPackageWizardException;
+    /**
+     * Registers a class that implements a wizard to create an installer of a
+     * plugin from a gvSIG installation directory.
+     *
+     * @param clazz Class that inherits of the {@link MakePluginPackageWizard}
+     * abstract class.
+     */
+    public void registerMakePluginPackageWizardInstallerCreationWizard(
+            Class<? extends MakePluginPackageWizard> clazz);
 
-	/**
-	 * Returns the current application version.
-	 * 
-	 * @return the current application version
-	 */
-	public String getApplicationVersion();
+    /**
+     * This method returns a class that is used to create an installer from a
+     * gvSIG installation directory.
+     *
+     * @return The wizard to create an installer.
+     * @throws MakePluginPackageWizardException If there is a problem creating
+     * the wizard.
+     */
+    public MakePluginPackageWizard createMakePluginPackageWizard(
+            File applicationDirectory, File installFolder)
+            throws MakePluginPackageWizardException;
 
-	/**
-	 * Sets the current application version.
-	 * 
-	 * @param gvSIGVersion
-	 *            the current application version
-	 */
-	public void setApplicationVersion(String gvSIGVersion);
+    /**
+     * Registers a class that implements a wizard to execte an installer to
+     * install a set of plugins in a gvSIG installation directory.
+     *
+     * @param clazz Class that inherits of the
+     * {@link AbstractInstallPackageWizard} abstract class.
+     */
+    public void registerInstallPackageWizard(
+            Class<? extends InstallerWizardPanel> clazz);
 
-	/**
-	 * Returns the default URL to download packages from.
-	 * 
-	 * @return the default URL to download packages from
-	 */
-	public URL getDefaultDownloadURL();
+    /**
+     * This method returns a class that is used to execute an installer to
+     * install a set of plugins in a gvSIG installation directory.
+     *
+     * @return The wizard to execute an installer.
+     * @throws InstallPackageWizardException If there is a problem creating the
+     * wizard.
+     */
+    public InstallWizardPanel createInstallPackageWizard(
+            File applicationDirectory, File installFolder)
+            throws InstallPackageWizardException;
 
-	/**
-	 * Sets the default URL to download packages from
-	 * 
-	 * @param defaultDownloadURL
-	 *            the default URL to download packages from
-	 */
-	public void setDefaultDownloadURL(URL defaultDownloadURL);
+    /**
+     * Returns the current application version.
+     *
+     * @return the current application version
+     */
+    public String getApplicationVersion();
 
-	/**
-	 * Translate a key in a text using the current application language
-	 * 
-	 * @param key
-	 *            The key to translate
-	 * @return The translated key
-	 */
-	public String getText(String key);
+    /**
+     * Sets the current application version.
+     *
+     * @param gvSIGVersion the current application version
+     */
+    public void setApplicationVersion(String gvSIGVersion);
 
-	/**
-	 * Returns a reference to the {@link InstallerManager}.
-	 * 
-	 * @return a reference to the {@link InstallerManager}
-	 */
-	public InstallerManager getInstallerManager();
+    /**
+     * Returns the default URL to download packages from.
+     *
+     * @return the default URL to download packages from
+     */
+    public URL getDefaultDownloadURL();
 
-	public JShowPackageStatusAndAskContinuePanel createJShowPackageStatusAndAskContinuePanel(
-			List<PackageInfo> packages, String message);
+    /**
+     * Sets the default URL to download packages from
+     *
+     * @param defaultDownloadURL the default URL to download packages from
+     */
+    public void setDefaultDownloadURL(URL defaultDownloadURL);
 
-	public JShowPackagesAndAskContinuePanel createJShowTroubledPackagesAndAskContinuePanel(
-			List<PackageInfo> packages, String message);
-	
-	public JPackageInfoPanel createPackageInfoPanel();
+    /**
+     * Translate a key in a text using the current application language
+     *
+     * @param key The key to translate
+     * @return The translated key
+     */
+    public String getText(String key);
 
-	public JPackageInfoPanel createPackageInfoPanel(String packageType);
+    /**
+     * Returns a reference to the {@link InstallerManager}.
+     *
+     * @return a reference to the {@link InstallerManager}
+     */
+    public InstallerManager getInstallerManager();
 
-	public JOutputPanel createOutputPanel();
+    public JShowPackageStatusAndAskContinuePanel createJShowPackageStatusAndAskContinuePanel(
+            List<PackageInfo> packages, String message);
 
-	public JProgressPanel createProgressPanel();
+    public JShowPackagesAndAskContinuePanel createJShowTroubledPackagesAndAskContinuePanel(
+            List<PackageInfo> packages, String message);
 
-	public void setDefaultDownloadURL(String defaultDownloadURLs);
+    public JShowRequiredPackagesAndAskContinuePanel createJShowRequiredPackagesAndAskContinuePanel(
+            List<PackageInfo> packages, String message);
 
-	public void setDefaultDownloadURL(File defaultDownloadURLs);
+    public JShowUnresolvedDependenciesAndAskContinuePanel createJShowUnresolvedDependenciesAndAskContinuePanel(
+            Dependencies dependencies, String message);
 
-	public void addDefaultDownloadURL(URL url);
+    public JPackageInfoPanel createPackageInfoPanel();
 
-	public void addDefaultDownloadURL(URL url, String label);
-	
-	public void addDefaultDownloadURL(String url) throws MalformedURLException;
+    public JPackageInfoPanel createPackageInfoPanel(String packageType);
 
-	/**
-	 * Return the list of default URL used to retrieve the package.gvspki
-	 * 
-	 * @return list of defaults urls
-	 * @deprecated use getDefaultDownloadUrlAndLabels
-	 */
-	public List<URL> getDefaultDownloadURLs();
-	
-	/**
-	 * Return the list of default URL used to retrieve the package.gvspki
-	 * the list contains the URLs and their labels.
-	 *  
-	 * @return list of default urls and their labels
-	 */
-	public List<UrlAndLabel> getDefaultDownloadUrlAndLabels();
-        
-        public PackageBuildder createPackagerPanel(String packageType, File selectionFolder, File outputFolder);
+    public JOutputPanel createOutputPanel();
 
+    public JProgressPanel createProgressPanel();
+
+    public void setDefaultDownloadURL(String defaultDownloadURLs);
+
+    public void setDefaultDownloadURL(File defaultDownloadURLs);
+
+    public void addDefaultDownloadURL(URL url);
+
+    public void addDefaultDownloadURL(URL url, String label);
+
+    public void addDefaultDownloadURL(String url) throws MalformedURLException;
+
+    /**
+     * Return the list of default URL used to retrieve the package.gvspki
+     *
+     * @return list of defaults urls
+     * @deprecated use getDefaultDownloadUrlAndLabels
+     */
+    public List<URL> getDefaultDownloadURLs();
+
+    /**
+     * Return the list of default URL used to retrieve the package.gvspki the
+     * list contains the URLs and their labels.
+     *
+     * @return list of default urls and their labels
+     */
+    public List<UrlAndLabel> getDefaultDownloadUrlAndLabels();
+
+    public PackageBuildder createPackagerPanel(String packageType, File selectionFolder, File outputFolder);
+
+    public PackageFilter createPackageTypeFilter(String type) ;
 }
